<?php
session_start();
include "../../inc/config.php";
session_check();
switch ($_GET["act"]) {
  case "in":
  
  
  
  $data = array("categoria_gasto"=>$_POST["categoria_gasto"],);
  
  
  
   
    $in = $db->insert("categoria_gasto",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":
    
    
    
    $db->delete("categoria_gasto","idcategoria_gasto",$_GET["id"]);
    break;
  case "up":
   $data = array("categoria_gasto"=>$_POST["categoria_gasto"],);
   
   
   

    
    $up = $db->update("categoria_gasto",$data,"idcategoria_gasto",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>